<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../general.ent">
  %general-entities;
]>

<sect1 id="ch-system-inetutils" role="wrap">
  <?dbhtml filename="inetutils.html"?>

  <sect1info condition="script">
    <productname>inetutils</productname>
    <productnumber>&inetutils-version;</productnumber>
    <address>&inetutils-url;</address>
  </sect1info>

  <title>Inetutils-&inetutils-version;</title>

  <indexterm zone="ch-system-inetutils">
    <primary sortas="a-Inetutils">Inetutils</primary>
  </indexterm>

  <sect2 role="package">
    <title/>

    <para>Inetutils 软件包包含基本网络程序。</para>

    <segmentedlist>
      <segtitle>&buildtime;</segtitle>
      <segtitle>&diskspace;</segtitle>

      <seglistitem>
        <seg>&inetutils-ch6-sbu;</seg>
        <seg>&inetutils-ch6-du;</seg>
      </seglistitem>
    </segmentedlist>

  </sect2>

  <sect2 role="installation">
    <title>安装 Inetutils</title>

    <para>准备安装 Inetutils：</para>

<screen><userinput remap="configure">./configure --prefix=/usr        \
            --localstatedir=/var \
            --disable-logger     \
            --disable-whois      \
            --disable-rcp        \
            --disable-rexec      \
            --disable-rlogin     \
            --disable-rsh        \
            --disable-servers</userinput></screen>

    <variablelist>
      <title>配置选项的含义：</title>

      <varlistentry>
        <term><parameter>--disable-logger</parameter></term>
        <listitem>
          <para>该选项防止 Inetutils 安装 <command>logger</command> 程序，
          	  它被脚本文件用于向系统日志守护程序传递消息。这里不安装它，
			  因为 Util-linux 会安装更新的版本。</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term><parameter>--disable-whois</parameter></term>
        <listitem>
		  <para>该选项防止构建过时的 <command>whois</command> 客户端，
			  BLFS 手册中有一个更好的 <command>whois</command> 客户端。
		  </para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term><parameter>--disable-r*</parameter></term>
        <listitem>
          <para>这些参数禁用过时的程序，由于安全问题，它们不应该被继续使用。
			  它们提供的功能可以由 BLFS 手册中的 openssh 软件包代替。</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term><parameter>--disable-servers</parameter></term>
        <listitem>
          <!--para>This disables the installation of the various network servers
          included as part of the Inetutils package. These servers are deemed not
          appropriate in a basic LFS system. Some are insecure by nature and are
          only considered safe on trusted networks. Note that
          better replacements are available for many of these servers.</para-->
          <para>该选项禁用 Inetutils 软件包包含的若干网络服务程序，
			  它们在基本的 LFS 系统中注定是不合适的。
			  其中一些服务程序从本质上就不安全，
			  只有在可信的网络环境中才能被认为是安全的。
			  要注意的是，对于其中许多服务程序，都能找到更好的替代品。
		  </para>
        </listitem>
      </varlistentry>

    </variablelist>

    <para>编译该软件包：</para>

<screen><userinput remap="make">make</userinput></screen>

    <para>运行以下命令以测试编译结果：</para>

<screen><userinput remap="test">make check</userinput></screen>

    <note><para>其中一项测试 libls.sh 在初始的 chroot 环境中可能失败，
    但在 LFS 系统构建完成后再重新运行时即可通过。</para></note>

    <para>安装该软件包：</para>

<screen><userinput remap="install">make install</userinput></screen>

    <para>移动一些程序，这样在 <filename class='directory'>/usr</filename>
    文件系统不可用时也能使用它们：</para>

<screen><userinput remap="install">mv -v /usr/bin/{hostname,ping,ping6,traceroute} /bin
mv -v /usr/bin/ifconfig /sbin</userinput></screen>

  </sect2>

  <sect2 id="contents-inetutils" role="content">
    <title>Inetutils 的内容</title>

    <segmentedlist>
      <segtitle>安装的程序</segtitle>

      <seglistitem>
        <seg>dnsdomainname, ftp, ifconfig, hostname, ping, ping6, 
        talk, telnet, tftp, 以及 traceroute</seg>
      </seglistitem>
    </segmentedlist>

    <variablelist>
      <bridgehead renderas="sect3">简要描述</bridgehead>
      <?dbfo list-presentation="list"?>
      <?dbhtml list-presentation="table"?>

      <varlistentry id="dnsdomainname">
        <term><command>dnsdomainname</command></term>
        <listitem>
        <para>显示系统的 DNS 域名</para>
        <indexterm zone="ch-system-inetutils dnsdomainname">
          <primary sortas="b-dnsdomainname">dnsdomainname</primary>
        </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="ftp">
        <term><command>ftp</command></term>
        <listitem>
        <para>文件传输程序</para>
        <indexterm zone="ch-system-inetutils ftp">
          <primary sortas="b-ftp">ftp</primary>
        </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="hostname">
        <term><command>hostname</command></term>
        <listitem>
          <para>报告或设定主机名称</para>
          <indexterm zone="ch-system-inetutils hostname">
            <primary sortas="b-hostname">hostname</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="ifconfig">
        <term><command>ifconfig</command></term>
        <listitem>
        <para>管理网络接口</para>
        <indexterm zone="ch-system-inetutils ifconfig">
          <primary sortas="b-ifconfig">ifconfig</primary>
        </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="ping">
        <term><command>ping</command></term>
        <listitem>
          <para>发送回显请求数据包并报告响应用时</para>
          <indexterm zone="ch-system-inetutils ping">
            <primary sortas="b-ping">ping</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="ping6">
        <term><command>ping6</command></term>
        <listitem>
          <para>用于 IPv6 网络的 <command>ping</command> 版本</para>
          <indexterm zone="ch-system-inetutils ping6">
            <primary sortas="b-ping6">ping6</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="talk">
        <term><command>talk</command></term>
        <listitem>
          <para>用于和其他用户聊天</para>
          <indexterm zone="ch-system-inetutils talk">
            <primary sortas="b-talk">talk</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="telnet">
        <term><command>telnet</command></term>
        <listitem>
          <para>TELNET 协议的接口</para>
          <indexterm zone="ch-system-inetutils telnet">
            <primary sortas="b-telnet">telnet</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="tftp">
        <term><command>tftp</command></term>
        <listitem>
          <para>简单文件传输程序</para>
          <indexterm zone="ch-system-inetutils tftp">
            <primary sortas="b-tftp">tftp</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="traceroute">
        <term><command>traceroute</command></term>
        <listitem>
          <para>追踪您的数据包从您工作的主机到网络上另一台主机的路径，
          显示中间通过的跳跃（网关）。</para>
          <indexterm zone="ch-system-inetutils traceroute">
            <primary sortas="b-traceroute">traceroute</primary>
          </indexterm>
        </listitem>
      </varlistentry>

    </variablelist>

  </sect2>

</sect1>
